Subject: Re: bug#25145: 25.1; clipboard-yank and associated functions are broken

From: Eli Zaretskii <[email-masked]>
Date: Fri, 09 Dec 2016 15:10:45 +0200

> From: Stephane Chauveau <[email-masked]>
> Date: Fri, 9 Dec 2016 09:43:09 +0100
> 
> 
> I noticed that the functions clipboard-yank, clipboard-kill-ring-save
> and clipboard-kill-region are not accessing the gui clipboard as they
> use to.
> 
> In previous version those 3 functions were setting
> x-select-enable-clipbard to enable the clipboard.
> 
> They are now setting gui-select-enable-clipboard.
> 
> The problem is likely related to the recent renaming of
> x-select-enable-clibboard into select-enable-clipboard (so without a
> gui- prefix).
> 
> The variable gui-select-enable-clipboard is set in a few other places
> but, as far as I can tell, it is never used for anything.

Thank you for your report.  However, I don't think I understand what
is it that doesn't work in Emacs 25.1 as you expect.  What you
describe are simply indications of some redesign and reimplementation
in this area, but the functionality definitely works for me.

Could you perhaps give a recipe, starting from "emacs -Q", which
reproduces the problems you are seeing, and describe the expected
behavior and the actual one?  That would allow us to analyze the
problems you see.